Ubuntu

Please sync geda-gnetlist_1.4.3-2(universe) from debian unstable

Reported by Bhavani Shankar on 2009-01-30
6
Affects Status Importance Assigned to Milestone
geda-gnetlist (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: geda-gnetlist

Please sync geda-gnetlist from debian as they have updated their package to the latest upstream version

Ubuntu changes can be dropped as upstream has fixed vhdl netlisting problem

commit 3e5a3a547903f04e78c7b54ee68ee544418069a9
Author: Peter Clifton <email address hidden>
Date: Thu Aug 14 17:52:02 2008 +0100

    Fix verilog and VHDL netlist backends

    These were inadvertently broken when making core gnetlist changes to
    accomodate slotting in spice-sdb. Since the netlist backend is loaded
    before gnetlist has traversed the schematic, the backends must not
    execute any code which queries gnetlist on load. All such work is
    to be done only when gnetlist invokes the (<backend>) method.

and debian has applied the patch to fix insecurity in temp file

 geda-gnetlist (1:1.4.3-2) unstable; urgency=low

   * Added build-dep on intltool (closes: #514899)
   * Minor cleanups to debian/rules clean target

 -- Hamish Moffatt <email address hidden> Mon, 16 Feb 2009 10:49:55 +1100
geda-gnetlist (1:1.4.3-1) unstable; urgency=low

   * New upstream bug fix release

 -- Hamish Moffatt <email address hidden> Sun, 01 Feb 2009 00:51:35 +1100
geda-gnetlist (1:1.4.0-3) unstable; urgency=low

   * Update debian/copyright to follow standard template
     * all of gEDA uses GPLv2 (closes: #510995)
   * Fix insecure temp file handling in example script (closes: #506625)

 -- Hamish Moffatt <email address hidden> Thu, 29 Jan 2009 00:18:18 +1100

Bhavani Shankar (bhavi) wrote :
Bhavani Shankar (bhavi) wrote :

geda-gnetlist (1:1.4.0-3ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes: LP: #323088
    - debian/rules: Included dpatch
    - debian/control: Added dpatch to the BuildDepends
    - debian/patches: Added patches for fixing the vhdl and verilog
      netlisting issue. Thanks to Peter Clifton.

 -- Bhavani Shankar <email address hidden> Fri, 30 Jan 2009 14:40:48 +0530

Changed in geda-gnetlist:
status: New → Confirmed
Iain Lane (laney) wrote :

There is a new release at Debian. Can you update for that instead? (1.4.0-3 doesn't seem worth merging as we have the only functional change already) Please resubscribe the sponsors when ready. Thanks in advance!

Changed in geda-gnetlist:
assignee: nobody → bhavi
status: Confirmed → In Progress
Bhavani Shankar (bhavi) wrote :

@ Iain

I think we can sync as upstream has fixed vhdl netlisting problem

Regards

Bhavani Shankar (bhavi) wrote :

From the upstream changelog

commit 3e5a3a547903f04e78c7b54ee68ee544418069a9
Author: Peter Clifton <email address hidden>
Date: Thu Aug 14 17:52:02 2008 +0100

    Fix verilog and VHDL netlist backends

    These were inadvertently broken when making core gnetlist changes to
    accomodate slotting in spice-sdb. Since the netlist backend is loaded
    before gnetlist has traversed the schematic, the backends must not
    execute any code which queries gnetlist on load. All such work is
    to be done only when gnetlist invokes the (<backend>) method.

Bhavani Shankar (bhavi) wrote :
description: updated
Changed in geda-gnetlist:
assignee: bhavi → nobody
status: In Progress → New
Nathan Handler (nhandler) wrote :

Bug #322648 has been ACK'd. As long as that sync is performed prior to this one, everything should be fine. So I am ACK'ing this sync request to make sure it is in the queue prior to Feature Freeze.

Changed in geda-gnetlist:
importance: Undecided → Wishlist
status: New → Confirmed
Changed in geda-gnetlist:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers